Query pipeline executions
Query the pipeline executions of a source. The fields that can be used to filter or sort pipeline executions are:
id: The pipeline execution id.pipelineDefinitionId: The pipeline definition id.createdAt: The pipeline execution creation timestamp.updatedAt: The pipeline execution last update timestamp.status: The pipeline execution status.operation.action: The action of the operation that triggered the pipeline execution.operation.taskId: The id of the task that triggered the pipeline execution.operation.target.targetType: The type of the target that triggered the pipeline execution. It can be ‘RESOURCE’ or ‘RELATIONSHIP’.operation.target.type: The type of the resource or relationship that triggered the pipeline execution.operation.target.id: The id of the resource or relationship that triggered the pipeline execution.reviewAssignment.reviewerId: The id of the reviewer assigned to review the operation that triggered the pipeline execution, if any. Note: this field is only available as a filter, not as a sort field. It also only supports the equality operator.
Documentation Index
Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The key of the source.
Query Parameters
If set to true, the response will include, for each pipeline execution, the body of the operation which triggered the pipeline. Defaults to false.
Body
Use dot-notation paths (e.g., name, meta.updatedAt, address.city).
To include properties from relationships or adjacent records, request them via traversedProperties and reference with @ (e.g., @worksAt.*, @worksAt.@clinic.name).
Some endpoints require federated paths such as resources.<collectionKey>.<propertyKey> or relationships.<collectionKey>.<propertyKey>.
A semantic query is a high-level representation of the user's intent. When specified, it will trigger our query understanding capabilities and generate a query and filter operator that will be applied to the search parameters.
An operator that will be used to search the targeted collections. The matching operator will count as part of the ranking.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
An operator that will be used to filter the targeted collections. The filtering operator excludes results that do not match the specified criteria.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
Properties selector allows to specify which properties should be included or excluded in the search response. System properties are always included and cannot be excluded. Exclude properties has precedence over include properties.
The properties from the relationships or adjacent records that will be returned in the search response. The wildcard '*' can be used in itself or in combination with a prefix
*will return all traversed properties.@worksAt.*will return all traversed properties from the relationship 'worksAt'.@worksAt.@clinic.*will return all traversed properties from an adjacent 'clinic' connected with a 'worksAt' relationship.